summaryrefslogtreecommitdiff
path: root/tests/cli-tests/004-send-parent-multi-subvol/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cli-tests/004-send-parent-multi-subvol/test.sh')
-rwxr-xr-xtests/cli-tests/004-send-parent-multi-subvol/test.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/cli-tests/004-send-parent-multi-subvol/test.sh b/tests/cli-tests/004-send-parent-multi-subvol/test.sh
new file mode 100755
index 00000000..72a9eb36
--- /dev/null
+++ b/tests/cli-tests/004-send-parent-multi-subvol/test.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# minimal test for the following syntax: btrfs send -p parent subvol1 subvol2
+
+source "$TOP/tests/common"
+
+check_prereq mkfs.btrfs
+check_prereq btrfs
+
+setup_root_helper
+prepare_test_dev 2g
+
+run_check "$TOP/mkfs.btrfs" -f "$IMAGE"
+run_check_mount_test_dev
+
+here=`pwd`
+cd "$TEST_MNT" || _fail "cannot chdir to TEST_MNT"
+
+run_check $SUDO_HELPER "$TOP/btrfs" subvolume create subv-parent
+run_check $SUDO_HELPER dd if=/dev/urandom of=subv-parent/file bs=1M count=10
+run_check $SUDO_HELPER "$TOP/btrfs" subvolume snapshot -r subv-parent subv-snap1
+run_check $SUDO_HELPER dd if=/dev/urandom of=subv-parent/file bs=1M count=10
+run_check $SUDO_HELPER "$TOP/btrfs" subvolume snapshot -r subv-parent subv-snap2
+run_check $SUDO_HELPER dd if=/dev/urandom of=subv-parent/file bs=1M count=10
+run_check $SUDO_HELPER "$TOP/btrfs" subvolume snapshot -r subv-parent subv-snap3
+
+run_check truncate -s0 "$here"/send.stream
+run_check chmod a+w "$here"/send.stream
+run_check $SUDO_HELPER "$TOP/btrfs" send -f "$here"/send.stream -p subv-snap1 subv-snap2 subv-snap3
+
+cd "$here" || _fail "cannot chdir back to test directory"
+rm send.stream
+
+run_check_umount_test_dev